org.cpsolver.ifs.util

## Class Counter

- java.lang.Object
- - org.cpsolver.ifs.util.Counter

-     public class Counter
      extends Object

  Counter.
  Version:
    IFS 1.3 (Iterative Forward Search)
    Copyright (C) 2006 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Counter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dec(long value)` Decrement counter
    `long` | `get()` Returns current value
    `void` | `inc(long value)` Increment counter
    `void` | `set(long value)` Set counter

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Counter

          public Counter()

  - ### Method Detail

    - #### set

          public void set(long value)

      Set counter
      Parameters:
        `value` - counter value

    - #### get

          public long get()

      Returns current value
      Returns:
        counter value

    - #### inc

          public void inc(long value)

      Increment counter
      Parameters:
        `value` - counter increment

    - #### dec

          public void dec(long value)

      Decrement counter
      Parameters:
        `value` - counter decrement